Bug Hunting Session
Bug 122136 - clicking on class path make LO crash
Summary: clicking on class path make LO crash
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.3.2 release
Hardware: All All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:6.3.0 target:6.2.0.1 target:6.1.5
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2018-12-16 09:16 UTC by Xavier Van Wijmeersch
Modified: 2018-12-31 20:50 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
gdb bt (14.21 KB, text/plain)
2018-12-16 12:52 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xavier Van Wijmeersch 2018-12-16 09:16:41 UTC
When I try to ad a external .jar in class path it will crash LO master also LO6.2 beta1 but not with gtk3 build

tools ==> options ==> advanced ==> Class Path will cause LO to crash and no crash report is send, crash also when in safe mode. Idem with home build LO

Version: 6.3.0.0.alpha0+
Build ID: 19d9ac1031a08525ed5a5638ceaf508be870825e
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-12-16_01:24:21
Locale: nl-BE (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Julien Nabet 2018-12-16 12:52:48 UTC
Created attachment 147594 [details]
gdb bt

On pc Debian x86-64 with master sources updated yesterday, I could reproduce this with SAL_USE_VCLPLUGIN=gen not with my default VCLPLUGIN gtk3.
Comment 2 Julien Nabet 2018-12-16 13:25:54 UTC
I submitted patches to gerrit here:
master branch:
https://gerrit.libreoffice.org/#/c/65220/

6.2:
https://gerrit.libreoffice.org/#/c/65221/

6.1:
https://gerrit.libreoffice.org/#/c/65222/
Comment 3 Commit Notification 2018-12-16 18:58:05 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/8626e81d00c253696c6b60b9a2188079120817c7%5E%21

tdf#122136: select first element if there's at least one

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xavier Van Wijmeersch 2018-12-17 13:04:12 UTC
thx its working with

Version: 6.3.0.0.alpha0+
Build ID: d87fa557ff58c3b9f5c9079a1d7595e095694111
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 5 Julien Nabet 2018-12-17 13:09:07 UTC
Thank you for your feedback.
Let's put this one to FIXED then.
(backports are just waiting for reviews by devs).
Comment 6 Julien Nabet 2018-12-17 13:09:27 UTC
Following https://bugs.documentfoundation.org/show_bug.cgi?id=122136#c4
Comment 7 Commit Notification 2018-12-18 21:43:59 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/e455cbd491e038bc8b84b4b717b1fcf02ca162b0%5E%21

tdf#122136: select first element if there's at least one

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-12-31 20:50:00 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/cb32be59baca89dc0d21a5f16c8ecd46b143c436%5E%21

tdf#122136: select first element if there's at least one

It will be available in 6.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.